0 Replies Latest reply on Feb 27, 2013 10:27 AM by Robert Becker

    Seam 2.3 with JBPM on AS7

    Robert Becker Newbie

      Hello everyone,

       

      my coworker and I spent the best part of the week finally migrating from Glassfish V2 with Seam 2.2.2 and Hibernate 3 to Jboss AS7, Seam 2.3 and Hibernate 4. We nearly got it working until we recognized a serious show stopper: JBPM 3 bundled with Seam 2.3 is not compatible with Hibernate 4 bundled with AS7. As both are heavilly integrated within their bundle, they can hardly be torn appart. I know that you could force-use Hibernate 3 in AS7 but this is really a huge step back, ugly and the rest of the application works fine with it.

       

      So how is Seam 2.3 with JBPM meant to be used on AS7? What are the plans on future improvements on this? Is it possible to migrate to JBPM 5 without loosing currently active processes?

       

      We are really frustrated at the moment and would appreciate any help!

       

      Greetings Robert